| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::PendingContactAttributes Class Reference
Connection proxies

The PendingContactAttributes class represents the parameters of and the reply to an asynchronous request for raw contact attributes, as used in the ConnectionLowlevel::contactAttributes() low-level convenience method wrapping the Client::ConnectionInterfaceContactsInterface::GetContactAttributes() D-Bus method. More...

`#include <TelepathyQt/PendingContactAttributes>`

Inherits Tp::PendingOperation.

List of all members.

## Public Member Functions

- ~PendingContactAttributes ()
- ConnectionPtr connection () const
- const UIntList & contactsRequested () const
- const QStringList & interfacesRequested () const
- bool shouldReference () const
- ReferencedHandles validHandles () const
- UIntList invalidHandles () const
- ContactAttributesMap attributes () const

## Detailed Description

The PendingContactAttributes class represents the parameters of and the reply to an asynchronous request for raw contact attributes, as used in the ConnectionLowlevel::contactAttributes() low-level convenience method wrapping the Client::ConnectionInterfaceContactsInterface::GetContactAttributes() D-Bus method.

See Asynchronous Object Model

## Constructor & Destructor Documentation

Tp::PendingContactAttributes::~PendingContactAttributes | ( |  | ) |

Class destructor.

## Member Function Documentation

ConnectionPtr Tp::PendingContactAttributes::connection | ( |  | ) | const

Return the connection through which the request was made.

Returns:
  A pointer to the Connection object.

const UIntList & Tp::PendingContactAttributes::contactsRequested | ( |  | ) | const

Return the contacts for which attributes were requested.

Returns:
  Reference to a list with the handles of the contacts.

const QStringList & Tp::PendingContactAttributes::interfacesRequested | ( |  | ) | const

Return the interfaces the corresponding attributes of which were requested.

Returns:
  Reference to a list of D-Bus interface names.

bool Tp::PendingContactAttributes::shouldReference | ( |  | ) | const

Return whether it was requested that the contact handles should be referenced in addition to fetching their attributes. This corresponds to the `reference` argument to Connection::contactAttributes().

Returns:
  Whether the handles should be referenced or not.

ReferencedHandles Tp::PendingContactAttributes::validHandles | ( |  | ) | const

If referencing the handles was requested (as indicated by shouldReference()), returns the now-referenced handles resulting from the operation. If the operation has not (yet) finished successfully (isFinished() returns `false`), or referencing was not requested, the return value is undefined.

Even if referencing was requested, the list will not always contain all of the handles in contactsRequested(), only the ones which were valid. The valid handles will be in the same order as in contactsRequested(), though.

Returns:
  ReferencedHandles instance containing the handles.

UIntList Tp::PendingContactAttributes::invalidHandles | ( |  | ) | const

Return the handles which were found to be invalid while processing the operation. If the operation has not (yet) finished successfully (isFinished() returns `false`), the return value is undefined.

Returns:
  A list with the invalid handles.

ContactAttributesMap Tp::PendingContactAttributes::attributes | ( |  | ) | const

Return a dictionary mapping the valid contact handles in contactsRequested() (when also referencing, this means the contents of validHandles()) to contact attributes. If the operation has not (yet) finished successfully (isFinished() returns `false`), the return value is undefined.

Returns:
  Mapping from handles to variant maps containing the attributes.